package com.eazytec.hkydatabasessynchronization.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * 企业档案 - 企业特种作业人员
 *
 * @author lx
 * @since 2024-10-12 17:33
 */
@TableName("o_t_emersps_sps_enterprise_special_operation_person")
public class OTEmerspsSpsEnterpriseSpecialOperationPerson implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "enterprise_special_operation_person_id", type = IdType.AUTO)
    private String enterpriseSpecialOperationPersonId;

    /**
     * 企业ID
     */
    private String enterpriseId;

    /**
     * 特种作业类别(小类)
     */
    private String operationType;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String gender;

    /**
     * 培训类型
     */
    private String trainingType;

    /**
     * 证件类型
     */
    private String typeOfCertificate;

    /**
     * 证件号码
     */
    private String idNumber;

    /**
     * 特种作业类别(大类)
     */
    private String jobCategory;

    /**
     * 培训机构
     */
    private String trainingInstitution;

    /**
     * 上岗证初领日期
     */
    private Date firstDate;

    /**
     * 有效日期开始
     */
    private Date validityBegin;

    /**
     * 有效日期结束
     */
    private Date validityEnd;

    /**
     * 企业名称/工作单位
     */
    private String enterpriseName;

    /**
     * 数据来源ID
     */
    private String dataSourceId;

    /**
     * 创建时间
     */
    private Date gmtCreated;

    /**
     * 修改时间
     */
    private Date gmtModified;

    /**
     * 数据锁版本号
     */
    private String dataVersion;

    /**
     * 批准日期
     */
    private Date approvedDate;

    /**
     * 制证日期
     */
    private Date dateOfCertification;

    /**
     * odm入库时间
     */
    @TableField("odm_rksj")
    private Date odmRksj;

    private Integer editStatus;

    public String getEnterpriseSpecialOperationPersonId() {
        return enterpriseSpecialOperationPersonId;
    }

    public void setEnterpriseSpecialOperationPersonId(String enterpriseSpecialOperationPersonId) {
        this.enterpriseSpecialOperationPersonId = enterpriseSpecialOperationPersonId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getOperationType() {
        return operationType;
    }

    public void setOperationType(String operationType) {
        this.operationType = operationType;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getTrainingType() {
        return trainingType;
    }

    public void setTrainingType(String trainingType) {
        this.trainingType = trainingType;
    }

    public String getTypeOfCertificate() {
        return typeOfCertificate;
    }

    public void setTypeOfCertificate(String typeOfCertificate) {
        this.typeOfCertificate = typeOfCertificate;
    }

    public String getIdNumber() {
        return idNumber;
    }

    public void setIdNumber(String idNumber) {
        this.idNumber = idNumber;
    }

    public String getJobCategory() {
        return jobCategory;
    }

    public void setJobCategory(String jobCategory) {
        this.jobCategory = jobCategory;
    }

    public String getTrainingInstitution() {
        return trainingInstitution;
    }

    public void setTrainingInstitution(String trainingInstitution) {
        this.trainingInstitution = trainingInstitution;
    }

    public Date getFirstDate() {
        return firstDate;
    }

    public void setFirstDate(Date firstDate) {
        this.firstDate = firstDate;
    }

    public Date getValidityBegin() {
        return validityBegin;
    }

    public void setValidityBegin(Date validityBegin) {
        this.validityBegin = validityBegin;
    }

    public Date getValidityEnd() {
        return validityEnd;
    }

    public void setValidityEnd(Date validityEnd) {
        this.validityEnd = validityEnd;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getDataSourceId() {
        return dataSourceId;
    }

    public void setDataSourceId(String dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

    public Date getGmtCreated() {
        return gmtCreated;
    }

    public void setGmtCreated(Date gmtCreated) {
        this.gmtCreated = gmtCreated;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getDataVersion() {
        return dataVersion;
    }

    public void setDataVersion(String dataVersion) {
        this.dataVersion = dataVersion;
    }

    public Date getApprovedDate() {
        return approvedDate;
    }

    public void setApprovedDate(Date approvedDate) {
        this.approvedDate = approvedDate;
    }

    public Date getDateOfCertification() {
        return dateOfCertification;
    }

    public void setDateOfCertification(Date dateOfCertification) {
        this.dateOfCertification = dateOfCertification;
    }

    public Date getOdmRksj() {
        return odmRksj;
    }

    public void setOdmRksj(Date odmRksj) {
        this.odmRksj = odmRksj;
    }

    public Integer getEditStatus() {
        return editStatus;
    }

    public void setEditStatus(Integer editStatus) {
        this.editStatus = editStatus;
    }
}
