package com.eazytec.hkydatabasessynchronization.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * 项目竣工信息表
 *
 * @author lx
 * @since 2024-10-12 17:33
 */
@TableName("t_project_jg")
public class TProjectJg implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 创建日期

     */
    private Date createDate;

    /**
     * 创建人
     */
    private String creater;

    /**
     * 删除日期
     */
    private Date deleteDate;

    /**
     * 删除人

     */
    private String deleter;

    /**
     * 更新日期

     */
    private Date updateDate;

    /**
     * 更新人
     */
    private String updater;

    /**
     * 备注
     */
    private String remark;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 删除状态 （A:正常状态 D：已删除
     */
    private String sts;

    /**
     * 项目备案号
     */
    private String recordCode;

    /**
     * 累积投资
     */
    private String completeInvest;

    /**
     * 竣工日期

     */
    private Date end;

    /**
     * 税收收入
     */
    private String sssr;

    /**
     * 开工日期
     */
    private Date start;

    /**
     * 同期税收收入
     */
    private String tqsssr;

    /**
     * 同期销售收入
     */
    private String tqxssr;

    /**
     * 销售收入
     */
    private String xssr;

    /**
     * 用电量

     */
    private String ydl;

    /**
     * odm入库时间
     */
    @TableField("odm_rksj")
    private Date odmRksj;

    private Integer editStatus;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater;
    }

    public Date getDeleteDate() {
        return deleteDate;
    }

    public void setDeleteDate(Date deleteDate) {
        this.deleteDate = deleteDate;
    }

    public String getDeleter() {
        return deleter;
    }

    public void setDeleter(String deleter) {
        this.deleter = deleter;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getSts() {
        return sts;
    }

    public void setSts(String sts) {
        this.sts = sts;
    }

    public String getRecordCode() {
        return recordCode;
    }

    public void setRecordCode(String recordCode) {
        this.recordCode = recordCode;
    }

    public String getCompleteInvest() {
        return completeInvest;
    }

    public void setCompleteInvest(String completeInvest) {
        this.completeInvest = completeInvest;
    }

    public Date getEnd() {
        return end;
    }

    public void setEnd(Date end) {
        this.end = end;
    }

    public String getSssr() {
        return sssr;
    }

    public void setSssr(String sssr) {
        this.sssr = sssr;
    }

    public Date getStart() {
        return start;
    }

    public void setStart(Date start) {
        this.start = start;
    }

    public String getTqsssr() {
        return tqsssr;
    }

    public void setTqsssr(String tqsssr) {
        this.tqsssr = tqsssr;
    }

    public String getTqxssr() {
        return tqxssr;
    }

    public void setTqxssr(String tqxssr) {
        this.tqxssr = tqxssr;
    }

    public String getXssr() {
        return xssr;
    }

    public void setXssr(String xssr) {
        this.xssr = xssr;
    }

    public String getYdl() {
        return ydl;
    }

    public void setYdl(String ydl) {
        this.ydl = ydl;
    }

    public Date getOdmRksj() {
        return odmRksj;
    }

    public void setOdmRksj(Date odmRksj) {
        this.odmRksj = odmRksj;
    }

    public Integer getEditStatus() {
        return editStatus;
    }

    public void setEditStatus(Integer editStatus) {
        this.editStatus = editStatus;
    }
}
