package com.eazytec.hkydatabasessynchronization.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * 项目拟建信息表
 *
 * @author lx
 * @since 2024-10-14 10:21
 */
@TableName("t_project_nj")
public class TProjectNj implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 创建日期
     */
    private Date createDate;

    /**
     * 创建人
     */
    private String creater;

    /**
     * 删除日期

     */
    private Date deleteDate;

    /**
     * 删除人
     */
    private String deleter;

    /**
     * 更新日期

     */
    private Date updateDate;

    /**
     * 更新人
     */
    private String updater;

    /**
     * 备注
     */
    private String remark;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 删除状态 （A:正常状态 D：已删除）
     */
    private String sts;

    /**
     * 安评状态 0 未办理 1 办理中 2 已办理
     */
    private Integer apSts;

    /**
     * 环评状态 0 未办理 1 办理中 2 已办理
     */
    private Integer hpSts;

    /**
     * 建设工程规划许可证 0 未办理 1 办理中 2 已办理

     */
    private Integer jsgcghxkzSts;

    /**
     * 建设用地规划许可证 0 未办理 1 办理中 2 已办理

     */
    private Integer jsydghxkzSts;

    /**
     * 能评状态 0 未办理 1 办理中 2 已办理

     */
    private Integer npSts;

    /**
     * 计划竣工时间
     */
    private String planEnd;

    /**
     * 计划开始时间\n
     */
    private String planStart;

    /**
     * 项目备案号
     */
    private String recordCode;

    /**
     * 施工许可证 0 未办理 1 办理中 2 已办理

     */
    private Integer sgxkzSts;

    private Integer ydpsSts;

    /**
     * odm入库时间
     */
    private Date odmRksj;

    /**
     * 土地招拍挂 0 未办理 1 办理中 2 已办理

     */
    private Integer tdgzpSts;

    private Integer editStatus;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater;
    }

    public Date getDeleteDate() {
        return deleteDate;
    }

    public void setDeleteDate(Date deleteDate) {
        this.deleteDate = deleteDate;
    }

    public String getDeleter() {
        return deleter;
    }

    public void setDeleter(String deleter) {
        this.deleter = deleter;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getSts() {
        return sts;
    }

    public void setSts(String sts) {
        this.sts = sts;
    }

    public Integer getApSts() {
        return apSts;
    }

    public void setApSts(Integer apSts) {
        this.apSts = apSts;
    }

    public Integer getHpSts() {
        return hpSts;
    }

    public void setHpSts(Integer hpSts) {
        this.hpSts = hpSts;
    }

    public Integer getJsgcghxkzSts() {
        return jsgcghxkzSts;
    }

    public void setJsgcghxkzSts(Integer jsgcghxkzSts) {
        this.jsgcghxkzSts = jsgcghxkzSts;
    }

    public Integer getJsydghxkzSts() {
        return jsydghxkzSts;
    }

    public void setJsydghxkzSts(Integer jsydghxkzSts) {
        this.jsydghxkzSts = jsydghxkzSts;
    }

    public Integer getNpSts() {
        return npSts;
    }

    public void setNpSts(Integer npSts) {
        this.npSts = npSts;
    }

    public String getPlanEnd() {
        return planEnd;
    }

    public void setPlanEnd(String planEnd) {
        this.planEnd = planEnd;
    }

    public String getPlanStart() {
        return planStart;
    }

    public void setPlanStart(String planStart) {
        this.planStart = planStart;
    }

    public String getRecordCode() {
        return recordCode;
    }

    public void setRecordCode(String recordCode) {
        this.recordCode = recordCode;
    }

    public Integer getSgxkzSts() {
        return sgxkzSts;
    }

    public void setSgxkzSts(Integer sgxkzSts) {
        this.sgxkzSts = sgxkzSts;
    }

    public Integer getYdpsSts() {
        return ydpsSts;
    }

    public void setYdpsSts(Integer ydpsSts) {
        this.ydpsSts = ydpsSts;
    }

    public Date getOdmRksj() {
        return odmRksj;
    }

    public void setOdmRksj(Date odmRksj) {
        this.odmRksj = odmRksj;
    }

    public Integer getTdgzpSts() {
        return tdgzpSts;
    }

    public void setTdgzpSts(Integer tdgzpSts) {
        this.tdgzpSts = tdgzpSts;
    }

    public Integer getEditStatus() {
        return editStatus;
    }

    public void setEditStatus(Integer editStatus) {
        this.editStatus = editStatus;
    }
}
